import { PersonalData } from "./PersonalDataTypes";

// Icons: https://icons.getbootstrap.com/

export const personalData: PersonalData = {
    updatedDate: '2023-07-26',

    name: "David Hrdina Němeček",
    brief: "Software developer. Engineering lead.",

    contacts: [
        {icon: 'browser-firefox', text: 'www.dejvino.cz'},
        {icon: 'envelope-at', text: 'explosive@dejvino.cz'},
        {icon: 'git', text: 'https://git.dejvino.cz'},
        {icon: 'github', text: 'https://github.com/Dejvino'},
        {icon: 'file-earmark-person', text: 'https://cv.dejvino.cz'},
        {icon: 'file-earmark-pdf', text: 'https://cv.dejvino.cz/pdf'},
        {icon: 'telephone', text: '+420 775 26 26 32'},
        {icon: 'geo-alt', text: 'Brno, Czechia'}
    ],

    jobs: {
        current: [{
            position: 'Senior Software Development Manager (UI Platform)',
            company: 'Oracle|NetSuite',
            timerange: '2022 - present',
            description: `Engineering lead for multiple UI Platform teams who designed, developed and released a UI framework and tooling used by the rest of the organization.
            Leader of a UI testing architecture group responsible for advising on a testing strategy across the UI Platform.`,
            tags: ['TypeScript', 'Preact', 'NodeJs', 'Oracle JET', 'Java', 'Git']
        }],
        previous: [
            {
                position: 'Software Development Manager (UI Platform)',
                company: 'Oracle|NetSuite',
                timerange: '2020 - 2022',
                description: `Engineering lead for a UI Platform team who developed components for a UI toolkit used by the rest of the organization.
                Technical product owner while bootstrapping a team.`,
                tags: ['TypeScript', 'Preact', 'NodeJs', 'Oracle JET', 'Java', 'Git']
            },
            {
                position: 'Software Development Manager (ERP, Tax)',
                company: 'Oracle|NetSuite',
                timerange: '2017 - 2020',
                description: 'Lead developer for ERP: Tax. Design and implementation of a pluggable Tax calculation engine. Coordination of multiple squads supporting both the legacy and the next-gen systems concurrently.',
                tags: ['Java', 'Oracle SQL', 'JavaScript', 'Perforce', 'Git', 'Software Architecture']
            },
            {
                position: 'Senior Software Engineer (ERP, Tax)',
                company: 'Oracle|NetSuite',
                timerange: '2013 - 2017',
                description: `Development of Tax calculation and reporting modules in a cloud ERP system.
                Large-scale refactoring of legacy code. Introduction of a pluggable architecture.`,
                tags: ['Java', 'Oracle SQL', 'JavaScript', 'Perforce', 'Legacy code refactoring']
            },
            {
                position: 'Software Engineer',
                company: 'Q2 Interactive',
                timerange: '2009 - 2013',
                description: `Development and project leadership of multiple web applications and services:
                - CRM system (PHP backend server, JavaScript frontend, Android client app),
                - Accounting web app (PHP, JavaScript),
                - e-commerce sites (Magento),
                - Linux server maintenance.`,
                tags: ['PHP', 'Java', 'JavaScript', 'MySQL', 'Server hosting', 'Linux', 'Android', 'Subversion (SVN)']
            }
        ]
    },

    projects: {
        current: [
            {
                position: `Open Source Contributor`,
                description: `Code contributor to open source projects, shared on [github.com/Dejvino](https://github.com/Dejvino) and [git.dejvino.cz](https://git.dejvino.cz/dejvino).
                E.g. SimpleMobileTools Android suite.`,
                tags: ['Kotlin', 'Android', 'Python', 'Open Source', 'Git']
            },
        ],
        previous: [
            {
                position: `Personal projects`,
                description: `Various hardware and software projects. Usually open sourced and published on [projects.dejvino.com](https://projects.dejvino.com) and [git.dejvino.cz](https://git.dejvino.cz/dejvino).
                These include video games, utilities, 3D models, retrofitting devices with embedded microcontrollers etc.`,
                tags: ['Java', 'Python', 'C/C++', 'Embedded Software', 'OpenSCAD', 'TypeScript', 'Linux', 'Open Source', 'Git', 'Self-hosting']
            },
        ]
    },

    education: {
        previous: [
            {
                position: `Master's degree, Parallel and Distributed Systems`,
                company: `Faculty of Informatics, Masaryk University Brno`,
                timerange: '2011 - 2013',
                description: `**Master's thesis:** *Efficient computation and visualization of correlations in medical signals.*
                The first part consisted of high-performance computation of correlations on large volumes of analog data using supercomputers.
                The second part covered the visualization of the computed results which allowed interactive exploration and processing of the data by a researcher.`,
                tags: ['C/C++', 'Supercomputers', 'OpenMPI', 'Python', 'Visualization', 'Data science']
            },
            {
                position: `Bachelor's degree, Parallel and Distributed Systems`,
                company: `Faculty of Informatics, Masaryk University Brno`,
                timerange: '2008 - 2011',
                description: `**Bachelor's thesis:** *Parallel implementation of force-field decompression algorithm.*
                The solution executed on a supercomputer cluster to perform real-time simulation of molecular forces. This in turn provided haptic feedback to a 3D pointing device.`,
                tags: ['C/C++', 'Supercomputers', 'OpenMPI', 'Data science']
            }
        ]
    },

    skills: {
        primary: ['Kotlin', 'Java', 'TypeScript', 'Linux'],
        secondary: ['Go', 'JavaScript', 'Oracle SQL', 'Git', 'React', 'Preact', 'Python'],
        languages: ['Czech (native)', 'English (proficient)', 'German (elementary)'],
        //others: ['Driver\'s license (B)']
    },
    interests: ['Guitars', 'Heavy Metal', 'Mazda MX-5', 'DIY electronics', 'Linux', 'Open source'],
};
